Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.Into<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this request is completed

All Known Subinterfaces:
  Graph.Copy<Next>, Graph.CopyTarget<Next>, Graph.Move<Next>

All Known Implementing Classes:
  Graph.CloneTargetAction, Graph.CopyAction, Graph.MoveAction

Enclosing class:
  Graph

    public static interface Graph.Into<Next>

A component that defines the location into which a node should be copied or moved.

Method Summary
`Next` | `into(Location parentLocation)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Next` | `into(Path parentPath)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Next` | `into(Property parentIdProperty)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Next` | `into(Property firstParentIdProperty, Property... additionalParentIdProperties)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Next` | `into(String parentPath)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Next` | `into(UUID parentUuid)` Finish the request by specifying the location of the parent into which the node should be copied/moved.

Method Detail

### into

    Next into(Location parentLocation)

  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Location)` instead.

  Parameters:
    `parentLocation` - the location of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Location)`

### into

    Next into(String parentPath)

  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(String)` instead.

  Parameters:
    `parentPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(String)`

### into

    Next into(Path parentPath)

  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Path)` instead.

  Parameters:
    `parentPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Path)`

### into

    Next into(UUID parentUuid)

  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Parameters:
    `parentUuid` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### into

    Next into(Property parentIdProperty)

  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Parameters:
    `parentIdProperty` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### into

    Next into(Property firstParentIdProperty,
              Property... additionalParentIdProperties)

  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Parameters:
    `firstParentIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalParentIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.